%define url_ver	%(echo %{version}|cut -d. -f1,2)
 
%global _legacy_common_support 1
%global __provides_exclude_from %{_libdir}/nautilus/extensions-3.0/.*\\.so

Name:		nautilus-python
Summary:	Python 2 bindings for GNOME nautilus
Version:	1.2.3
Release:	%mkrel 4
License:	GPLv2+ and LGPLv2+
Group:		Development/Python
URL:		https://www.gnome.org/
Source:		https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	pkgconfig(libnautilus-extension)

%description
Python bindings for the Nautilus extension framework.

%prep
%setup -q

%build
export PYTHON=%__python3
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

#handle docs in files section
mv %buildroot%_datadir/doc/%name installed-docs

mkdir -p %{buildroot}%{_libdir}/nautilus/extensions-3.0/python

%files
%doc AUTHORS ChangeLog NEWS installed-docs/*
%dir %{_libdir}/nautilus/extensions-3.0/python/
%{_libdir}/nautilus/extensions-3.0/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Aug 20 2020 joequant <joequant> 1.2.3-4.mga8
+ Revision: 1616705
- fix gcc10 build
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 1.2.3-3.mga8
+ Revision: 1541774
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 01 2020 wally <wally> 1.2.3-2.mga8
+ Revision: 1475141
- switch to python3

* Thu Jul 18 2019 ovitters <ovitters> 1.2.3-1.mga8
+ Revision: 1422286
- new version 1.2.3

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-2.mga7
+ Revision: 1299677
- Mageia 7 Mass Rebuild

* Sun Mar 18 2018 daviddavid <daviddavid> 1.2.2-1.mga7
+ Revision: 1210224
- new version: 1.2.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1-9.mga6
+ Revision: 946383
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-8.mga5
+ Revision: 746511
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-7.mga5
+ Revision: 727470
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 682807
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq

* Fri Oct 18 2013 umeabot <umeabot> 1.1-5.mga4
+ Revision: 508198
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 fwang <fwang> 1.1-3.mga3
+ Revision: 311440
- pygconf is not required now

* Tue Feb 14 2012 ovitters <ovitters> 1.1-2.mga2
+ Revision: 208946
- clean spec

* Mon Oct 17 2011 wally <wally> 1.1-1.mga2
+ Revision: 155947
- own nautilus python extensions dir
- new version 1.1
- build with pygobject-3.0
- drop old provides/obsoletes

* Sun Jul 10 2011 wally <wally> 1.0-1.mga2
+ Revision: 121761
- new version 1.0

* Sat Apr 23 2011 sander85 <sander85> 0.7.3-1.mga1
+ Revision: 89931
- imported package nautilus-python

